### Constructor

# Gtk ColorButtonnew

deprecated: 4.10

#### Declaration [src]

    GtkWidget*
    gtk_color_button_new (
      void
    )

#### Description [src]

Creates a new color button.

This returns a widget in the form of a small button containing a swatch representing the current selected color. When the button is clicked, a color chooser dialog will open, allowing the user to select a color. The swatch will be updated to reflect the new color when the user finishes.

Deprecated since: 4.10

Use `GtkColorDialogButton` instead.

#### Return value

Type: `GtkWidget`

A new color button.

The data is owned by the called function.